﻿using System.Text.RegularExpressions;
using Clio.Utilities;
using ff14bot;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Chocobot
{
    public partial class ChocobotForm : Form
    {
        public static ChocobotSettings Settings = ChocobotSettings.Instance;

        public ChocobotForm()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            comboBox1.Text = Settings.Class;
            comboBox2.Text = Settings.Course;
            textBox1.Text = Settings.SprintDuration.ToString();
            textBox2.Text = Settings.SprintBreak.ToString();
            checkBox1.Checked = Settings.SendKey;
        }

        private void button1_Click_1(object sender, EventArgs e)
        {
            int checkInteger;
            if (int.TryParse(textBox1.Text, out checkInteger))
			{
				Settings.SprintDuration = checkInteger;
			}
            if (int.TryParse(textBox2.Text, out checkInteger))
			{
				Settings.SprintBreak = checkInteger;
			}
            Settings.Class = comboBox1.Text;
            Settings.Course = comboBox2.Text;
            Settings.SendKey = checkBox1.Checked;
            this.Close();
        }
    }
}
